# Specifying Custom Paths

By default, none of these options should be required unless you want &app; to use a specific version of a development package, or if the configure test fails to find a component. Please report the problem if a configure test fails.

The following custom path options are available:

## Custom Path Options

Option | Function
--- | ---
`--x-includes=DIR` | X include files are in DIR.
`--x-libraries=DIR` | X library files are in DIR.
`--with-docbook=DIR` | Directory where the DocBook style-sheets are installed.
`--with-sdl-prefix=PFX` | Prefix where SDL is installed.
`--with-zlib-incl` | Directory where zlib header is installed.
`--with-zlib-lib` | Directory where zlib library is installed.
`--with-jpeg-incl` | Directory where jpeg header is installed.
`--with-jpeg-lib` | Directory where jpeg library is installed.
`--with-png-incl` | Directory where png header is installed.
`--with-png-lib` | Directory where png library is installed.
`--with-qt-dir` | Directory where QT is installed. This is only used by the Klash plugin.
`--with-qt-includes` | Directory where the QT header files are installed. This is only used by the Klash plugin.
`--with-qt-libraries` | Directory where the QT libraries are installed. This is only used by the Klash plugin.

`--with-plugins-install=user|system|prefix`

This option sets the install policy for NPAPI (mozilla) and KPARTS (kde) plugins. Policy 'user' means plugin will be installed only for the configuring user. Policy 'system' will try to find a systemwide place for plugins (to enable for all). Policy 'prefix' will install under ${prefix} (npapi/kparts subdirs); WARNING: if 'prefix' policy is given, plugins won't be found w/out further enabling procudures. The default policy is 'user', can be overridden for specific plugins.

`--with-npapi-install=user|system|prefix` | This option sets the install policy for NPAPI plugin. Policy 'user' means plugin will be installed in ~/.mozilla/plugins; 'system' will try to find an existing system-wide mozilla plugin dir (or bail out if not found); 'prefix' will install under ${prefix}/npapi.
`--with-npapi-plugindir` | This is the directory to install the NPAPI (Mozilla) plugin in. By default it goes to ~/.mozilla/plugins.

`--with-kparts-install=user|system|prefix`

This option sets the install policy for all KPARTS (kde) files. Policy 'user' means plugin will be installed in ~/.kde; 'system' will find out using kde-config (or bail out if not found); 'prefix' will install under ${prefix}/kparts. The actual prefix can be overridden using `--with-kde-pluginprefix` or the fine-tuned options. The default at time of writing (2008-05-18) is 'user'.

`--with-kde-pluginprefix`

This option sets the default install dir for all KPARTS (kde) files. The plugin will be installed in PREFIX/lib/kde3, use `-with-kde-plugindir` to override. The service file in PREFIX/share/services, use `--with-kde-servicesdir` to override. The config file in PREFIX/share/config, use `--with-kde-configdir` to override. The appdata file in PREFIX/share/apps/klash, use `--with-kde-appsdatadir` to override.

`--with-kde-plugindir` | This is the directory to install the KPARTS (kde) plugin in. By default it is what's set by --with-kde-pluginprefix or what's returned by kde-config --install module --expandvars, or $(prefix)/share/services if kde-config is not found.
`--with-kde-servicesdir` | This is the directory to install the KPARTS (kde) service in. By default it is what's set by --with-kde-pluginprefix or what's returned by kde-config --install services --expandvars, or $(libdir)/kde3 if kde-config is not found.
`--with-kde-configdir` | This is the directory to install the KPARTS (kde) config files in. By default it is what's set by --with-kde-pluginprefix or what's returned by kde-config --install config --expandvars, or $(prefix)/share/config if kde-config is not found.
`--with-kde-appsdatadir` | This is the directory to install the KPARTS (kde) application data files in. By default it is what's set by --with-kde-pluginprefix or what's returned by kde-config --install data --expandvars, or $(prefix)/share/apps if kde-config is not found.
`--with-ming` | Ming is used to build test cases, but not by the Gnash player itself.
`--with-ogg_incl` | Directory where the libogg headers are installed.
`--with-ogg_lib` | Directory where the libogg library is installed.
`--with-gstreamer-incl` | Directory where the Gstreamer headers are installed. Gstreamer version 0.10 or greater must be used.
`--with-gstreamer-lib` | Directory where the Gstreamer library is installed. Gstreamer version 0.10 or greater must be used.
`--with-opengl-includes` | Directory where OpenGL (libMesa) headers are installed.
`--with-opengl-lib` | Directory where the OpenGL (libMesa) library is installed.
`--with-glext-incl` | Directory where GtkGlExt headers are installed.
`--with-glext-lib` | Directory where the GtkGlExt library is installed.
`--with-gtk2-incl` | Directory where the Gtk2 headers are installed.
`--with-gtk2-lib` | Directory where the Gtk2 library is installed.
`--with-cairo_incl` | Directory where the Cairo headers are installed.
`--with-cairo-lib` | Directory where the Cairo library is installed.
`--with-glib-incl` | Directory where the Glib headers are installed.
`--with-glib-lib` | Directory where the Glib library is installed.
`--with-pango-incl` | Directory where the Pango headers are installed.
`--with-pango-lib` | Directory where the Pango library is installed.
`--with-atk-incl` | Directory where the ATK headers are installed.
`--with-atk-lib` | Directory where the ATK library is installed.
`--with-pthread-incl` | Directory where the Pthread headers are installed.
`--with-pthread-lib` | Directory where the Pthread library is installed.
`--with-agg-incl` | Directory where the AGG (Antigrain) headers are installed.
`--with-agg-lib` | Directory where the AGG (Antigrain) library is installed.
`--with-ffmpeg-incl` | Directory where the FFMPEG headers are installed.
`--with-ffmpeg-lib` | Directory where the FFMPEG library is installed.
`--with-boost-incl` | Directory where the Boost headers are installed.
`--with-boost-lib` | Directory where the Boost library is installed.
`--with-curl-incl` | Directory where the libCurl headers are installed.
`--with-curl-lib` | Directory where the libCurl library is installed.